using System;
using System.Drawing;
using Syncfusion.Windows.Forms.Diagram;

   
namespace Dynamic_Link
{
	/// <summary>
	/// Description of a symple symbol
	/// </summary>
	public class LimeRectangle:Syncfusion.Windows.Forms.Diagram.Symbol

	{
		private Syncfusion.Windows.Forms.Diagram.Rectangle rect=null;
		private Syncfusion.Windows.Forms.Diagram.Label lbl=null;
		private Syncfusion.Windows.Forms.Diagram.TextNode textnode=null;

		public LimeRectangle()
		{
			//
			// TODO: Add constructor logic here
			//
		//Add the Outer rectangle
			this.rect=new Syncfusion.Windows.Forms.Diagram.Rectangle(50,260,120,70);
		
			rect.Name="Rectangle";
			rect.FillStyle.Color=System.Drawing.Color.Lime;
			rect.FillStyle.ColorAlphaFactor=255;
			rect.FillStyle.GradientAngle=270;
		//	rect.Model.MouseEnter+=new Syncfusion.Windows.Forms.Diagram.NodeMouseEventHandler(Model_MouseEnter);
			this.AppendChild(rect);
       
      //Add the label
			this.lbl=this.AddLabel("Symbol",Syncfusion.Windows.Forms.Diagram.BoxPosition.Center);
			lbl.Name="Label";
			lbl.Text="Text in a Diagram Shape";

			PointF pt1 = new PointF(rect.X+ rect.Width/2, rect.Y );
			PointF pt2 = new PointF(rect.X+ rect.Width/2+20, rect.Y );
			PointF pt3 = new PointF(rect.X+ rect.Width/2+40, rect.Y );
			PointF pt4 = new PointF(rect.X+ rect.Width/2-20, rect.Y );
			PointF pt5 = new PointF(rect.X+ rect.Width/2-40, rect.Y );

			CirclePort port1 = new CirclePort(pt1);
			CirclePort port2 = new CirclePort(pt2);
			CirclePort port3 = new CirclePort(pt3);
			CirclePort port4 = new CirclePort(pt4);
			CirclePort port5 = new CirclePort(pt2);
			this.Ports.Add(port1);
			this.Ports.Add(port2);
			this.Ports.Add(port3);
			this.Ports.Add(port4);
			this.Ports.Add(port5);
			port1.Location = pt1;
			port2.Location = pt2;
			port3.Location = pt3;
			port4.Location = pt4;
			port5.Location = pt5;

//			port1.Visible = false;
//			port2.Visible = false;
			
					
		}

		
	}
}
