using System;
using System.Drawing;
using Syncfusion.Windows.Forms.Diagram.Controls;
using Syncfusion.Windows.Forms.Diagram;


namespace Dynamic_Link
{
	/// <summary>
	/// Summary description for RoundedRect.
	/// </summary>
	public class RoundedRect:Symbol
	{
		private Syncfusion.Windows.Forms.Diagram.RoundRect roundrectangle=null;
		private Syncfusion.Windows.Forms.Diagram.Label label=null;
		public RoundedRect()
		{
			//
			// TODO: Add constructor logic here
			//


				//Add RoundRectangle
			this.roundrectangle=new RoundRect(280,260,180,78);
			roundrectangle.FillStyle.Color=Color.Gray;
			roundrectangle.Name="RoundedRectangle";
			roundrectangle.FillStyle.GradientAngle=270;
			this.AppendChild(roundrectangle);

			//Add Label to display the text Text in Rounded Rectangle
			this.label=this.AddLabel("RoundedRect",BoxPosition.Center);
			label.Name="Label";
			label.Text="Text in Rounded Rectangle";

			PointF pt1 = new PointF(roundrectangle.X+ roundrectangle.Width/2, roundrectangle.Y );
			PointF pt2 = new PointF(roundrectangle.X+ roundrectangle.Width/2+20, roundrectangle.Y );
			PointF pt3 = new PointF(roundrectangle.X+ roundrectangle.Width/2+40, roundrectangle.Y );
			PointF pt4 = new PointF(roundrectangle.X+ roundrectangle.Width/2-20, roundrectangle.Y );
			PointF pt5 = new PointF(roundrectangle.X+ roundrectangle.Width/2-40, roundrectangle.Y );

			CirclePort port1 = new CirclePort(pt1);
			CirclePort port2 = new CirclePort(pt2);
			CirclePort port3 = new CirclePort(pt3);
			CirclePort port4 = new CirclePort(pt4);
			CirclePort port5 = new CirclePort(pt2);
			this.Ports.Add(port1);
			this.Ports.Add(port2);
			this.Ports.Add(port3);
			this.Ports.Add(port4);
			this.Ports.Add(port5);
			port1.Location = pt1;
			port2.Location = pt2;
			port3.Location = pt3;
			port4.Location = pt4;
			port5.Location = pt5;

//			port1.Visible = false;
//			port2.Visible = false;

		}
	}
}
